Wireshark UAVCANv1 plugin not working

Hello,

I installed wireshark version Version 3.6.5 on linux.

Based on this topic there should be an UAVCANv1 pluging, however it is not working. I am just seeing standard CAN2.0 valid message.

Thanks.

Idk maybe we could ask @PetervdPerk?

Hi @fahdovski

Wireshark doesn’t do autodetect of the protocol it’s parsing on the CAN bus.
So you’ve to tell it to do using the “decode as” menu
image

1 Like